Bug 75831 - text files saved in gedit, read in console, no last line
text files saved in gedit, read in console, no last line
Product: Red Hat Linux
Classification: Retired
Component: gedit (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
  Show dependency treegraph
Reported: 2002-10-13 08:53 EDT by dexterthrowaway
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-13 08:53:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description dexterthrowaway 2002-10-13 08:53:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
whenever i create a text file in gedit, when i view this in the console using
"cat <textfile>" i don't see the last line. it only appears when i open it in vi
and save it. then "cat <textfile>" works.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. create a multiline textfile in gedit, and save
2. open a console and type "cat <filename>"
3. notice the last line is not there.
4. open file with vi, and ":wq" to save and quit.
5. type "cat <filename>" last line now shows

Actual Results:  uh... repeat steps above. save in gedit. cat in a console. no
last line. open and save in vi. cat again. last line shows.

Expected Results:  saving in gedit and cat in console should always show last line

Additional info:
Comment 1 Havoc Pennington 2002-10-13 11:40:50 EDT
You probably didn't put a newline on the end of the file in gedit. vi does that

Moved to http://bugzilla.gnome.org/show_bug.cgi?id=95676
Comment 2 Havoc Pennington 2002-10-14 10:59:57 EDT
Upstream bug closed, we will get the fix on upgrade.

Note You need to log in before you can comment on or make changes to this bug.